Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jdbc.rowset
Class OptimisticConflictException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.sql.SQLException
                  javax.sql.rowset.spi.SyncProviderException
                      weblogic.jdbc.rowset.OptimisticConflictException

All Implemented Interfaces:
  Serializable

public class OptimisticConflictException
extends SyncProviderException

An exception thrown when an optimistic conflict occurs during `WLCachedRowSet.acceptChanges`

A version conflict occurs when the underlying data in the database has changed after the WLCachedRowSet read the data into memory but before it can write back to the database. The exact circumstances that produce an OptimisticConflictException depend on the optimistic policy being used.

See Also:
  `WLRowSetMetaData`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`OptimisticConflictException()`
`OptimisticConflictException(String reason)`
`OptimisticConflictException(String reason, String sqlState)`
`OptimisticConflictException(String reason, String sqlState, int vendorCode)`
`OptimisticConflictException(String reason, SyncResolver sr)`
`OptimisticConflictException(SyncResolver sr)`

Methods inherited from class javax.sql.rowset.spi.SyncProviderException
`getSyncResolver, setSyncResolver`

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticConflictException

    public OptimisticConflictException()

### OptimisticConflictException

    public OptimisticConflictException(String reason)

### OptimisticConflictException

    public OptimisticConflictException(String reason,
                                       String sqlState)

### OptimisticConflictException

    public OptimisticConflictException(String reason,
                                       String sqlState,
                                       int vendorCode)

### OptimisticConflictException

    public OptimisticConflictException(String reason,
                                       SyncResolver sr)

### OptimisticConflictException

    public OptimisticConflictException(SyncResolver sr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD